/* Misc configuration options */

static int autocharset_russian(char *buf,int len);
static int autocharset_russian_uc(char *buf,int len);
#ifdef AUTO_ENCA_SUPPORT
static int autocharset_enca(char *buf, int len);
#endif

const struct language_alias_t language_aliases[] = {
    { "cs_SK", "sk" },
    { "ru_UA", "uk" },
    { NULL, NULL}
};

language_t languages[] = {
{"ru","Russian",{"Default","KOI8-R","CP1251","UTF-8","IBM866","MACCYRILLIC","ISO8859-5", NULL},2,{
    {"Off", NULL, {NULL}},
    {"Russian",&autocharset_russian_uc, {"CP1251","KOI8-R","UTF-8","IBM866"} }
}},
{"uk","Ukrainian",{"Default","KOI8-U","CP1251","UTF-8","IBM855","MACCYRILLIC","ISO8859-5","CP1125", NULL},2,{
    {"Off", NULL, {NULL}},
    {"Russian",&autocharset_russian_uc, {"CP1251","KOI8-R","UTF-8","IBM866"} }
}},
{"be","Belarussian",{"Default", "UTF-8", "CP1251", "IBM866", "ISO-8859-5", "KOI8-UNI", "maccyr" "IBM855", NULL},1,{
    {"Off", NULL, {NULL}}
}},
{"bg","Bulgarian",{"Default", "UTF-8", "CP1251", "ISO-8859-5", "IBM855", "maccyr", "ECMA-113", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"cz","Czech",{"Default", "UTF-8", "ISO-8859-2", "CP1250", "IBM852", "KEYBCS2", "macce", "KOI-8_CS_2", "CORK", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"es","Estonian",{"Default", "UTF-8", "ISO-8859-4", "CP1257", "IBM775", "ISO-8859-13", "macce", "baltic", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"hr","Croatian",{"Default", "UTF-8", "CP1250", "ISO-8859-2", "IBM852", "macce", "CORK", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"hu","Hungarian",{"Default", "UTF-8", "ISO-8859-2", "CP1250", "IBM852", "macce", "CORK", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"lt","Lithuanian",{"Default", "UTF-8", "CP1257", "ISO-8859-4", "IBM775", "ISO-8859-13", "macce", "baltic", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"lv","Latvian",{"Default", "UTF-8", "CP1257", "ISO-8859-4", "IBM775", "ISO-8859-13", "macce", "baltic", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"pl","Polish",{"Default", "UTF-8", "ISO-8859-2", "CP1250", "IBM852", "macce", "ISO-8859-13", "ISO-8859-16", "baltic", "CORK", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"sk","Slovak",{"Default", "UTF-8", "CP1250", "ISO-8859-2", "IBM852", "KEYBCS2", "macce", "KOI-8_CS_2", "CORK", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"sl","Slovenian",{"Default", "UTF-8", "ISO-8859-2", "CP1250", "IBM852", "macce", "CORK", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{"zh","Chinese",{"Default", "UTF-8", "GB2312", "GBK", "GB18030", "BIG5", NULL} ,1,{
    {"Off", NULL, {NULL}}
}},
{NULL,NULL,{NULL},0}
};


const charset_list_t charset_list_default = { "Default",  NULL };
charset_t *charset_list=(charset_t*)charset_list_default;

#define autocharset_list_ni_default 1
autocharset_list_t autocharset_list_default = {
    {"Off", NULL, {NULL}}
};

int autocharset_list_ni=autocharset_list_ni_default;
autocharset_t *autocharset_list=(autocharset_t*)autocharset_list_default;
